### 简介

1. 每个格子上的每个物品都是一个实体，草坪除外，草坪只需要表示有无
2. 整个地图有三层，第一层草坪，第二层物品，第三层锁(或障碍物)
3. 锁层物品可配置需要炸多次，会阻挡物品的掉落
4. 掉落时，优先正下方，如果左下或右下方有空位时也会填充

#### 炸消规则

1. 每局初始有几个4格炸弹，任意滑动选择4个位置则消耗一颗炸弹
2. 炸到全是相同物品(英雄可代替任意普通物品)，生成对应的雷
    - 根据行竖最大数量雷判定：
    - 4：如“一”雷，根据方向，生成横雷或竖雷
    - 3+1：如“L”雷，生成小飞机
    - 2+2: 如“田”雷，生成九宫雷
    - 2+2：如“Z”雷，生成分裂装置(火箭)
    - 十字雷炸5个同色，生成一个，连锁爆炸(摧毁当前地图数量最多的物品)
3. 合成炸弹也可代替任意普通物品，并且根据规则生成超级雷
    - [查看文档](http://192.168.31.242:8090/pages/viewpage.action?pageId=31201838)
4. 生成的超级雷会根据滑动顺序依次引爆，滑动引爆合成雷也会依次爆炸，被炸弹引爆的合成雷会立即爆炸
5. 包含物品类型
    + 可掉落的物品
        - 7种普通物品 可藏普通袋子和炸弹袋子
        - 空箱子 不藏奖励
        - 雕塑 不能炸 到底部收集
        - 美杜莎 炸多次 随机石化其他格子
    + 可被炸不掉落的物品
        - 信箱 不压住物品 炸周围或自身产出一个信封
        - 百叶窗 不压住物品 炸周围或自身向下卷起一格 阻挡草坪扩展
        - 泡沫 炸周围也消除 行动未消除泡沫则把相邻一格变为泡沫
        - 珍珠盘 炸周围或自身获得一个珍珠
    + 不可被炸也不掉落的物品
        - 障碍物
        - 窗帘 收集固定数量的对应颜色后消除
        - 炸弹装置 随机产出不同的雷
    + 事件物品（data_type.xlsx中配置）
        - 剑
        - 盾
        - 红色怪物 炸两次
        - 黄色怪物
        - 金袋子 炸两次 获得一个金袋子奖品
        - 英雄 初始化英雄列表，按顺序添加，可区分前后排
    + 奖励物品（data_type.xlsx中配置）
        - 金袋子 藏在事件物品中的金袋子后
        - 炸弹袋子(一格炸弹) 可能藏在普通物品后
        - 普通袋子 可能藏在普通物品后

### 文件介绍

1. 组件
    + data 记录每个物品的位置，层级，区域
    + goal 一些特殊物品的目标
        - 美杜莎 根据条件随机扩展
        - 信箱 产出信封
        - 百叶窗 卷起
        - 泡沫 周围扩展
        - 窗帘 收集
    + type 记录每个物品的类型，炸多少次后消失，一些特殊规则
2. 单例
    + action_cmd 操作指令
    + anim_list 动画数组
    + bomb_list 炸弹数组
    + collect 收集记录
    + data_type_list 基础物品类型生成记录
    + explode_count 格子爆炸数量记录
    + global_state 地图相关的全局数据
    + hero_site 英雄位置使用记录
3. 系统
    + action_sys 玩家操作处理
        - 点击物品，捡袋子或引爆合成炸弹
        - 滑动选择，使用炸弹
    + anim_sys 动画播放相关
    + around_sys 处理爆炸格子的周围物品是否能爆炸
    + bomb_sys 合成炸弹的目标选择
    + collect_sys 物品消除记录
    + drop_sys 掉落相关
    + expand_sys 处理是否可扩展目标
    + explode_sys 爆炸更新全局格子数据

