@echo off
:: 设置字符编码为UTF-8
chcp 65001 >nul

:: 获取当前脚本所在的目录
set "scriptDir=%~dp0"
set "pathFile=%scriptDir%.git"
if exist "%pathFile%" (
    echo 开始提交
) else (
    echo 没有 .git 文件，请确保在 git 仓库中运行此脚本
    pause
    exit /b
)

:: 获取当前文件夹名称
for %%I in (.) do set "currentFolderName=%%~nxI"
:: 提示用户输入提交消息
set /p commitMessage=请输入提交消息（默认: %currentFolderName%）: 

:: 如果用户没有输入内容，使用当前文件夹名称作为提交消息
if "%commitMessage%"=="" set "commitMessage=%currentFolderName%"

:: 添加所有更改到暂存区
git add .

:: 使用用户输入的提交消息进行提交
git commit -m "%commitMessage%"

:: 运行 npm 脚本
call npm run patch
:: 暂停以查看输出，防止窗口自动关闭
echo 操作完成。按任意键退出。
pause


