import { Component, writeNotify } from "pi_ucore/util/ecs";
import { DataType } from "./type";

export class GoalC extends Component {
    type: GoalType; // 目标类型
    goalCount: number; // 目标数量
    dataType: DataType; // 物品类型
    condition: any; // 条件
    _dataCount: number; // 产出物品数量
    oldDataCount: number; // 改变前 产出物品数量
    collectStep: number; //收集步长
    idList: number[] = []; // 合成物品id列表

    @writeNotify
    set dataCount(count) {
        this.oldDataCount = this._dataCount;
        this._dataCount = count;
    }
    get dataCount() {
        return this._dataCount;
    }

    constructor(type: GoalType, dataType: DataType, goalCount: number = 0, condition: any = {}, collectStep: number = 0) {
        super();
        this.type = type;
        this.dataType = dataType;
        this.goalCount = goalCount;
        this.condition = condition;
        this.dataCount = 0;
        this.collectStep = collectStep;
    }
}

// 目标类型
export enum GoalType {
    Collect = 1, // 收集指定物品 窗帘
    OutPut = 2, // 产出指定物品 珍珠盘 信箱
    RollUp = 3, // 卷起自身 百叶窗
    AroundExpand = 4, // 周围扩展 泡沫
    RandomExpand = 5, // 随机扩展 美杜莎石化
    SendBomb = 6, // 发炸弹 炸弹装置
    ShowData = 7, // 显示隐藏物品 草垛
    Synthesis = 8, // 合成物品 珊瑚
    TimeAward = 9, // 定时奖励 各种带时间的奖励，时间到了之后会消失
}