import { writeNotify } from "pi_ucore/util/ecs";
import { BombTypeCfg } from "../xls/bomb/bomb.struct";

// 炸弹爆炸进度
export class BombProgress {
    map: Map<number, FirstBombData> = new Map(); // 第一段爆炸数据
    groupMap: Map<number, number> = new Map(); // 分组数量
    curEntity: number; // 当前爆炸的实体
    @writeNotify
    isExploded: boolean = true; // 分段爆炸是否结束 
}

// 第一段爆炸数据
export type FirstBombData = {
    lastList: number[][]; // 上一次爆炸的区域
    lastBomb: number[]; // 上一次爆炸的炸弹 [x,y,id]
    lastBombCfg: BombTypeCfg; // 上一次爆炸的炸弹配置
    realPoscount: number; // 真实爆炸的个数
    otherTime: number;// 额外时间
}